Name:           quesa
Version:        1.8
Release:        17%{?dist}
Summary:        Quesa QuickDraw 3D implementation

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.quesa.org/
Source0:        http://downloads.sourceforge.net/quesa/quesa-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libGLU-devel
BuildRequires:  autoconf automake libtool
#Requires:       

Patch0: quesa-1.8-excess-libs.patch
Patch1: quesa-1.8-cxx.patch

%description
Quesa is a high-level open-source 3D graphics library that offers binary and
source level compatibility with Apple's QuickDraw™ 3D API. Quesa does not
contain any Apple source code, and was developed without access to Apple's
QD3D implementation.

Quesa supports both retained and immediate mode rendering, an extensible file
format, plug-in renderers, a wide range of high level geometries, hierarchical
models, and a consistent and object-oriented API.  Quesa acts as a scene-graph
while using OpenGL for rendering. 

%package devel
Summary: Quesa development package
Group: Development/Libraries
Requires: quesa = %{version}-%{release}

%description devel
Development package for the Quesa library.

%prep
%setup -q
%patch0 -p1 -b .excess-libs
%patch1 -p1 -b .cxx
find Source/FileFormats/ -name '*.[ch]' | xargs chmod a-x

%build
autoreconf -v --install || exit 1
%configure --disable-static
make %{?_smp_mflags}
iconv -f MACINTOSH -t UTF-8 AUTHORS > foo && mv foo AUTHORS

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libquesa.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/quesa
%{_libdir}/libquesa.so

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.8-11
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Adam Jackson <ajax@redhat.com> 1.8-2
- quesa-1.8-cxx.patch: Fix FTBFS with new autotools.

* Sat Aug 11 2007 Adam Jackson <ajax@redhat.com> 1.8-1
- Initial revision.

